package com.modularapp.modules.GroupTest
{
	import com.modularapp.modules.GroupTest.command.WeatherModuleCommand;
	import com.modularapp.modules.GroupTest.events.WeatherEvents;
	import com.modularapp.modules.GroupTest.model.WeatherModuleModel;
	
	import flash.events.MouseEvent;
	import flash.utils.describeType;
	
	import org.robotlegs.utilities.modular.mvcs.ModuleMediator;
	
	public class WeatherModuleMediator extends ModuleMediator
	{
		public function WeatherModuleMediator()
		{
			super();
		}
		
		[Inject]
		public var weatherModuleView:WeatherModule;
		
		[Inject]
		public var weatherModuleModel:WeatherModuleModel;
		
		override public function onRegister():void
		{
			// to do
			trace('weather mediator registered');
			
			eventMap.mapListener(weatherModuleView.closeButt, MouseEvent.CLICK, onClose);
			eventMap.mapListener(weatherModuleView.searchButt, MouseEvent.CLICK, onSearchClick);
			
			eventMap.mapListener(eventDispatcher, WeatherEvents.SEARCH_DONE, onSearchDone);
			
			trace(String(flash.utils.describeType(weatherModuleModel)));
		}
		
		private function onSearchDone(event:WeatherEvents):void
		{
			trace(' results are displayed for '+String(event.payLoad));
		}
		
		private function onSearchClick(event:MouseEvent):void
		{
			if(weatherModuleView.searchTextInput.text != '')
			{
				/*var weatherEvent:WeatherEvents = new WeatherEvents(WeatherEvents.BEGIN_SEARCH);
				weatherEvent.payLoad = weatherModuleView.searchTextInput.text;
				dispatch(weatherEvent);*/
				
				dispatch(new WeatherEvents(WeatherEvents.BEGIN_SEARCH, weatherModuleView.searchTextInput.text));
			}
		}
		//nazin muta saroko inga jovich mocha..
		private function onClose(event:MouseEvent):void
		{
			trace('closing the weather module');
			// after the compo is removed
			weatherModuleView.dispose();
			
		}
	}
}