package com.modularapp.modules.GroupTest.command
{
	import com.modularapp.modules.GroupTest.events.WeatherEvents;
	import com.modularapp.modules.GroupTest.model.WeatherModuleModel;
	import com.modularapp.modules.GroupTest.service.WeatherModuleService;
	import org.robotlegs.utilities.modular.mvcs.ModuleCommand;
	/**
	 *
	 * @author Manish
	 */
	public class WeatherModuleCommand extends ModuleCommand
	{
		/**
		 *
		 */
		public function WeatherModuleCommand()
		{
			super();
		}

		[Inject]
		/**
		 *
		 * @default
		 */
		public var event:WeatherEvents;

		[Inject]
		/**
		 *
		 * @default
		 */
		public var model:WeatherModuleModel;

		[Inject]
		/**
		 *
		 * @default
		 */
		public var service:WeatherModuleService;
		/**
		 *	Overriding the execute function to call service method for
		 *  searching place in internet for weather.
		 * 
		 */		
		override public function execute():void
		{
			// todo
			//trace('calling service to search for..' + String(event.payLoad));
			
			var place:String = String(event.payLoad);
			service.searchThisPlace(place);
			//trace('this is the payload : '+String(event.payLoad))
		}
	}
}
