package com.modularapp.modules.GroupTest.model
{
	import com.modularapp.modules.GroupTest.events.WeatherEvents;
	
	import org.robotlegs.utilities.modular.mvcs.ModuleActor;
	
	/**
	 * Module to store data fo Weather Module
	 * @author Manish
	 */
	public class WeatherModuleModel extends ModuleActor
	{
		/**
		 * Class Constructor
		 */
		public function WeatherModuleModel()
		{
			super();
		}
		
		/**
		 * Class variable storing the result for place search 
		 */		
		private var _place:String;
		
		/**
		 * 
		 * @param value
		 */
		public function set place(value:String):void
		{
			_place = value;
			updateMediator();
		}
		/**
		 * 
		 * @return 
		 */
		public function get place():String
		{
			return _place;
		}
		
		private function updateMediator():void
		{
			//var event:WeatherEvents = new WeatherEvents(WeatherEvents.SEARCH_DONE);
			//event.payLoad = _place+' from Model ;)';
			dispatch(new WeatherEvents(WeatherEvents.SEARCH_DONE, _place));
		}
			
		
	}
}