package com.modularapp.modules.rtfDrama
{
	import com.modularapp.modules.rtfDrama.events.RtfEvent;
	
	import flash.desktop.Clipboard;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import flashx.textLayout.elements.TextFlow;
	
	import mx.controls.Alert;
	
	import org.robotlegs.utilities.modular.mvcs.ModuleMediator;
	
	public class RtfMediator extends ModuleMediator
	{
		[Inject]
		public var rtfModule:RtfModule;
		
		public function RtfMediator()
		{
			super();
		}
		
		override public function onRegister():void
		{
			trace('RTF Mediator Registered');
			eventMap.mapListener(eventDispatcher, RtfEvent.FILE_LOADED, onFileLoaded);
			eventMap.mapListener(rtfModule.closeButt, MouseEvent.CLICK, onClose); 
			eventMap.mapListener(rtfModule.callWeatherButt, MouseEvent.CLICK, onCallWeatherHelp);
			
			dispatch(new RtfEvent(RtfEvent.VIEW_READY));
		}
		
		private function onCallWeatherHelp(event:MouseEvent):void
		{
			dispatchToModules(new RtfEvent(RtfEvent.TO_WEATHERMOD));
		}
		
		private function onClose(event:MouseEvent):void
		{
			trace('::closing::');
			rtfModule.dispose();
		}
		
		private function onFileLoaded(event:RtfEvent):void
		{
			trace('file data loded.. assigning data to the rich text compo');
			var rtfText:String = event.payLoad as String;
			
			rtfModule.richEditable.text = String(event.payLoad);
			rtfModule.richText.text = event.payLoad as String;
			
			var str:String = Rtf2Html(event.payLoad as String);
			trace('>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>');
			trace(str);
			
			function Rtf2Html(html:String):String
			{
				var reg:RegExp = new RegExp("({\\)(.+?)(})|(\\)(.+?)(\b)");
				
				return html;
			}
			

			
			
			
//			Clipboard. = rtfText;
//			rtfModule.riTextEditMXML.htmlText = String(event.payLoad);
//			rtfModule.riTextEditMXML.htmlText = 
			// convert rtf to html text here
			var htmlText:String;
			//rtfModule.htmlCompo.htmlText = event.payLoad as String
		}
	}
}