package com.modularapp.modules.GroupTest
{
	import com.modularapp.modules.GroupTest.command.StartUPCommand;
	import com.modularapp.modules.GroupTest.command.WeatherModuleCommand;
	import com.modularapp.modules.GroupTest.events.WeatherEvents;
	import com.modularapp.modules.GroupTest.model.WeatherModuleModel;
	import com.modularapp.modules.GroupTest.service.WeatherModuleService;
	
	import flash.display.DisplayObjectContainer;
	
	import org.robotlegs.base.ContextEvent;
	import org.robotlegs.core.IInjector;
	import org.robotlegs.utilities.modular.mvcs.ModuleContext;
	
	public class WeatherModuleContext extends ModuleContext
	{
		public function WeatherModuleContext(contextView:DisplayObjectContainer=null,  parentInjector:IInjector=null)
		{
			super(contextView, true, parentInjector);
		}
		
		override public function startup():void
		{
			// mapping classes
			injector.mapSingleton(WeatherModuleModel);
			injector.mapSingleton(WeatherModuleService);
			
			// mapping views
			mediatorMap.mapView(WeatherModule, WeatherModuleMediator);
			
			// mappings-nappings
			commandMap.mapEvent(ContextEvent.STARTUP_COMPLETE, StartUPCommand, ContextEvent, true);
			commandMap.mapEvent(WeatherEvents.BEGIN_SEARCH, WeatherModuleCommand, WeatherEvents,true);
			
			super.startup();
		}
	}
}