package com.modularapp.modules
{
	import com.modularapp.events.ModuleEvent;
	
	import mx.events.CloseEvent;
	
	import org.robotlegs.mvcs.Mediator;
	import org.robotlegs.utilities.modular.mvcs.ModuleMediator;
	
	public class PanelModuleMediator extends ModuleMediator
	{
		[Inject]
		public var view:PanelModule
		
		private var psyImage:String = 'http://cbs1037litefm.files.wordpress.com/2012/09/psy.jpg';
		
		override public function onRegister():void
		{
			trace('PanelModuleMediator :: onRegister');
			eventMap.mapListener(view.moduleWindow, CloseEvent.CLOSE, onClose);
		}
		
		private function onClose(vEvent:CloseEvent):void
		{
			trace('PanelModuleMediator :: onClose');
			dispatchToModules(new ModuleEvent(ModuleEvent.REMOVE_MODULE));
			view.dispose();
		}
	}
}