package com.modularapp.modules.rtfDrama
{
	import com.modularapp.modules.rtfDrama.command.RtfStartCommand;
	import com.modularapp.modules.rtfDrama.events.RtfEvent;
	import com.modularapp.modules.rtfDrama.model.RtfModel;
	import com.modularapp.modules.rtfDrama.service.rtfLoadFileService;
	
	import flash.display.DisplayObjectContainer;
	
	import org.robotlegs.base.ContextEvent;
	import org.robotlegs.core.IInjector;
	import org.robotlegs.utilities.modular.mvcs.ModuleContext;
	
	public class RtfContext extends ModuleContext
	{
		public function RtfContext(contextView:DisplayObjectContainer=null, parentInjector:IInjector=null)
		{
			super(contextView, true, parentInjector);
		}
		
		override public function startup():void
		{
			trace('overriding context startup function.. ');
			
			// mapping view
			mediatorMap.mapView(RtfModule, RtfMediator);
			
			// mapping class
			injector.mapSingleton(RtfModel);
			injector.mapSingleton(rtfLoadFileService);
			
			// mapping events
				// CHANGED FOR GOD SAKE	
				//commandMap.mapEvent(ContextEvent.STARTUP_COMPLETE, RtfStartCommand, ContextEvent, true);
			commandMap.mapEvent(RtfEvent.VIEW_READY, RtfStartCommand, RtfEvent, true);
			
			dispatchEvent(new ContextEvent(ContextEvent.STARTUP_COMPLETE));
			//super.startup();
		}
	}
}