package com.modularapp.view
{
	import com.modularapp.events.ModuleEvent;
	import com.modularapp.modules.PanelModule;
	
	import flash.events.MouseEvent;
	
	import org.robotlegs.utilities.modular.mvcs.ModuleMediator;
	
	public class MainViewMediator extends ModuleMediator
	{
		[Inject]
		public var mainView:MainView;
		
		override public function onRegister():void
		{
			eventMap.mapListener(mainView.addModuleBtn, MouseEvent.CLICK, onAddModule);
			eventMap.mapListener(mainView.addWeatherModuleButt, MouseEvent.CLICK, onWeatherModuleButtClick);
			eventMap.mapListener(mainView.addForeignModuleButt, MouseEvent.CLICK, onForeignModuleButtClick);
			eventMap.mapListener(mainView.addRTFModuleButt, MouseEvent.CLICK, onRTFModuleButtClick);
			
			addModuleListener(ModuleEvent.REMOVE_MODULE, onRemoveModule, ModuleEvent);
		}
		
		private function onRTFModuleButtClick(event:MouseEvent):void
		{
			// TODO Auto Generated method stub
			trace('adding rtf module..');
			mainView.addRTFModule();
		}
		
		private function onForeignModuleButtClick(event:MouseEvent):void
		{
			// TODO Auto Generated method stub
			mainView.getForeighModule();
		}
		
		private function onWeatherModuleButtClick(event:MouseEvent):void
		{
			trace('add weather Module');
			mainView.getWeatherModule();
		}
		
		private function onAddModule(vEvent:MouseEvent):void
		{
			mainView.addModule();
		}
		
		private function onRemoveModule(vEvent:ModuleEvent):void
		{
			trace('MainViewMediator :: onRemoveModule');
		}
	}
}